%define url_ver %(echo %{version} | cut -d. -f1,2)

%define lib_major	0
%define api		3.0
%define libname		%mklibname %{name}-private %{lib_major}
%define girname		%mklibname %{name}-gir %{api}
%define libnamedev	%mklibname -d %{name}-private

Summary:	Mutter window manager
Name:		mutter
Version:	3.6.3
Release:	%mkrel 2
URL:		http://ftp.gnome.org/pub/gnome/sources/mutter/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		mutter-disable-cast-align.patch
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.10
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.3.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.3
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.7
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(xcomposite) >= 0.2
BuildRequires:	pkgconfig(clutter-1.0) >= 1.7.5
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(pango) >= 1.2.0
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	cogl-devel
BuildRequires:	libxtst-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	zenity
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-common
BuildRequires:	autoconf
Requires:	zenity

%description
Mutter is a simple window manager that integrates nicely with 
GNOME 3.

%package -n %{libname}
Summary:	Libraries for Mutter
Group:		System/Libraries

%description -n %{libname}
This package contains libraries used by Mutter.

%package -n %{libnamedev}
Summary:	Libraries and include files with Mutter
Group:		Development/GNOME and GTK+
Requires:       %{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-private-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name}-private 0

%description -n %{libnamedev}
This package provides the necessary development libraries and include 
files to allow you to develop with Mutter.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{libname} < 3.3.2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches
autoreconf

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} 

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%define schemas %{name}

%files -f %{name}.lang
%doc README COPYING NEWS HACKING 
%{_bindir}/*
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/wm-properties/%{name}-wm.desktop
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/default.so
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{lib_major}*

%files -n %{girname}
%{_libdir}/%{name}/Meta-%{api}.typelib

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}/Meta-%{api}.gir


%changelog

* Sat Mar 02 2013 rtp <rtp> 3.6.3-2.mga3
+ Revision: 401102
- disable cast-align warning, which leads to ftbfs on arm

* Wed Feb 13 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 398277
- new version 3.6.3

* Mon Jan 14 2013 boklm <boklm> 3.6.2-3.mga3
+ Revision: 388120
- rebuild because libmutter-gir3.0-3.6.2-2.mga3.i586.rpm is empty on mirrors

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 360542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317355
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306828
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297356
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296211
- new version 3.5.92

* Wed Sep 12 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 292780
- remove br gir-repository

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287902
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282937
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279617
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271563
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266470
- new version 3.5.3

* Wed Apr 18 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231261
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226832
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225120
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.90-2.mga2
+ Revision: 220654
- rebuild for new cogl

* Thu Feb 23 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212571
- new version
- drop cogl patch

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212378
- rebuild for new cogl (add P0 from upstream git)

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206361
- new version
- clean spec

* Sat Jan 21 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 198966
- new version
- drop merged patch

* Tue Jan 17 2012 fwang <fwang> 3.3.3-2.mga2
+ Revision: 197264
- rebuild for new cogl

* Wed Jan 04 2012 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 190755
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.3.2-2.mga2
+ Revision: 171489
- enable introspection again as it's enabled in gsettings-desktop-schemas too (build doesn't fail anymore)
- drop unneeded patch

* Wed Nov 23 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 171456
- disable deprecation warnings for clutter to get pkg to build
- disable introspection for now and ad P0 to fix build without it
- update file list

  + tv <tv>
    - rebuild for new mutter

  + fwang <fwang>
    - disable introspection for now
    - disable warnings
    - bump req
    - new version 3.3.2

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156080
- new version 3.2.1
- drop usptreamed patch

* Thu Sep 29 2011 colin <colin> 3.2.0-2.mga2
+ Revision: 150357
- Plug a memory leak (bgo#660464)

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148944
- new version 3.2.0
- clean .spec a bit

* Wed Sep 21 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146212
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91.1-2.mga2
+ Revision: 145680
- rebuild for new cogl

* Thu Sep 15 2011 fwang <fwang> 3.1.91.1-1.mga2
+ Revision: 143696
- new version 3.1.91.1

* Tue Aug 30 2011 ovitters <ovitters> 3.1.90.1-1.mga2
+ Revision: 136802
- Fix sha1.lst
- Update to 3.1.90.1

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136476
- do not promote warn-error for giscanner
- new version 3.1.90
- new version 3.1.4
- rebuild for new cogl

  + colin <colin>
    - Add BR on libsm. Solves the gnome-shell 'Oh Noes' login problem.

* Fri Jul 08 2011 cjw <cjw> 3.1.3.1-1.mga2
+ Revision: 119973
- 3.1.3.1

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2.1-2.mga2
+ Revision: 102446
- Remove la files

* Tue Jun 07 2011 dmorgan <dmorgan> 3.0.2.1-1.mga2
+ Revision: 101677
- Add gtk3+-devel as BR
- Add gtk3+-devel as BR
- New release 3.0.2.1

  + tv <tv>
    - new release
    - new release
    - rebuild for new gir
    - imported package mutter


* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-4mdv2010.1
+ Revision: 548403
- Patch3 (GIT): prevent possible DOS with too much damage events

* Tue May 25 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-3mdv2010.1
+ Revision: 545988
- Patch2: ensure text is locale encoded for Zenity (GNOME bug 617536)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-2mdv2010.1
+ Revision: 544363
- Patch0 (GIT): improves damage performance
- Patch1 (GIT): fix flashes when windows are created

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 525203
- new version
- drop patches

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-3mdv2010.1
+ Revision: 524470
- Patch1 (GIT): remove workaround for old intel drivers

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-2mdv2010.1
+ Revision: 524226
- Patch0 (GIT): fix build with latest clutter

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-1mdv2010.1
+ Revision: 507979
- new version
- new API

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-0.20100211.1mdv2010.1
+ Revision: 504235
- git snapshot

* Thu Nov 26 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 470382
- add explicit dep on libmutter

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 456006
- new version
- update file list

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 443442
- update to new version 2.27.5

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 432059
- new version

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 422131
- update to new version 2.27.3

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-2mdv2010.0
+ Revision: 415264
- move typelib to the library package

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 414699
- new version
- drop patches
- reenable --as-needed

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-3mdv2010.0
+ Revision: 410985
- fix for bug #52685

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-2mdv2010.0
+ Revision: 404615
- fix the patch
- patch for new clutter
- drop patches

* Fri Jul 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 396803
- initial package
- drop metacity theme patch
- build without --as-neede
- rename

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 374234
- new version
- drop patches 5,6

* Wed Apr 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-3mdv2009.1
+ Revision: 367437
- Fix default theme for One and Powerpack

* Wed Apr 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 363325
- Add libcanberra-devel as buildrequires
- Update default theme color for Mdv 2009.1
- Patch5 (SVN): fix struts with auto-hidden panel (GNOME bug #572573)
- Patch6 (SVN): use libcanberra to play sound events (GNOME bug #557921)

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356168
- update to new version 2.26.0

* Sun Feb 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.144-1mdv2009.1
+ Revision: 336232
- update to new version 2.25.144

* Sat Dec 27 2008 Götz Waschk <waschk@mandriva.org> 2.25.89-1mdv2009.1
+ Revision: 319930
- new version
- drop patch 5

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.55-1mdv2009.1
+ Revision: 315967
- new version
- update patch 0

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.34-1mdv2009.1
+ Revision: 309097
- update to new version 2.25.34

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 2.25.13-1mdv2009.1
+ Revision: 306913
- update to new version 2.25.13

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.25.8-1mdv2009.1
+ Revision: 306234
- disable werror to make it build
- depend on zenity
- new version
- update file list

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.25.5-2mdv2009.1
+ Revision: 301477
- rebuilt against new libxcb

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 296642
- update to new version 2.25.5

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 296547
- new version
- drop patches 0,1

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 296387
- fix build deps
- update file list
- new version
- patch to add sources missing from the tarball
- patch to fix linking
- update patch 2

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 293623
- new version
- update file list

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286846
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.610-1mdv2009.0
+ Revision: 283192
- new version
- update file list

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.377-1mdv2009.0
+ Revision: 279925
- new version

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.233-1mdv2009.0
+ Revision: 279562
- new version
- update file list

* Tue Aug 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-3mdv2009.0
+ Revision: 276236
- Update default theme to Ia Ora Smooth for all distro flavors

* Mon Aug 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-2mdv2009.0
+ Revision: 275900
- Patch5 (Fedora): don't move window across workspaces when raising (Mdv bug #25009) (GNOME bug #482354)

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-1mdv2009.0
+ Revision: 273301
- Release 2.23.144

* Wed Jul 23 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.55-2mdv2009.0
+ Revision: 242116
- Add xinerama devel libs to BR, ensure Xinerama support is always built

* Mon Jul 14 2008 Götz Waschk <waschk@mandriva.org> 2.23.55-1mdv2009.0
+ Revision: 234435
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.34-1mdv2009.0
+ Revision: 231170
- new version
- update license
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183169
- new version

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.21-2mdv2008.1
+ Revision: 178418
- Change theme for download and desktop meta-class, for Mandriva 2008.1

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.21-1mdv2008.1
+ Revision: 175974
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.13-1mdv2008.1
+ Revision: 165743
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.21.8-1mdv2008.1
+ Revision: 161960
- new version
- drop patches 5,6

* Fri Feb 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-4mdv2008.1
+ Revision: 161162
- Disable compositing for now, too many drivers have still buggy compositing support

  + Götz Waschk <waschk@mandriva.org>
    - remove wonderland theme

* Fri Dec 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-3mdv2008.1
+ Revision: 138764
- Patch6 (SVN): fix glitches in compositor (GNOME bug #504876, fix shadows)

* Thu Dec 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-2mdv2008.1
+ Revision: 138445
- Patch5 (SVN): use Composite Overlay Window from XComposite >= 0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 133880
- new version
- drop patch 3

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.3-2mdv2008.1
+ Revision: 133820
- Remove source2 and patch3 (no longer used)
- Patch3 (SVN): new compositor code, from Ian Holmes
- Patch4 : enable compositor mode by default

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 120712
- new version

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 109889
- new version

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 108092
- new version
- new version

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88438
- new version

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.55-2mdv2008.0
+ Revision: 81034
- Migrate default theme when upgrading from old distribution

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.55-1mdv2008.0
+ Revision: 59865
- update file list
- new version
- drop patch 4
- call intltoolize to fix build

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.34-2mdv2008.0
+ Revision: 58081
- Patch4: fix kill dialog text with non-UTF8 locale

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.34-1mdv2008.0
+ Revision: 54918
- new version
- new devel naming scheme

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.21-1mdv2008.0
+ Revision: 40820
- new version

* Mon Jun 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.13-1mdv2008.0
+ Revision: 38000
- new version

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.8-1mdv2008.0
+ Revision: 35201
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 17809
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 14423
- new version
- update file list

